<bugID>1403414<Summary>History entry is named "New Tab" when navigating directly to a video from about:home and New Tab</Summary><Description>[Tracking Requested - why for this release]: Regression history system

Reproducible: always

Steps to Reproduce:
1. Open https://goo.gl/K9rrxQ

Actual Results:
History entry is named "New Tab" instead of tab title "toystory.mp4"

Expected Results:
History entry should be named "toystory.mp4"</Description></bugID>